Subject: Re: bug#17840: [PATCH] libtool: Use 'file' instead of '/usr/bin/file' on GNU systems.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 28 Sep 2022 21:26:37 -0400

Hello Sam,

Sam James <[email-masked]> writes:

>> On 28 Sep 2022, at 14:34, Felix Lechner via Bug-libtool via Bug reports for the GNU libtool shared library maintenance tool <[email-masked]> wrote:
>> 
>> Hi,
>> 
>>> there are a number of different 'file' programs and libtool expects
>>> particular output from the 'file' program that it uses.
>> 
>> I only have one kind of 'file' program installed, and Libtool cannot find it.
>> 
>> Developing on Guix—which is a GNU project like Libtool—I hope to
>> migrate the authentication logic in Linux PAM to Guile (another GNU
>> project). I presently use Autotools and Libtool. [1] When running
>> './configure' I get the error:
>> 
>>    ./configure: line 6750: /usr/bin/file: No such file or directory
>
> Which version of libtool? Can you share the header of the configure script too?
>
> See also https://git.savannah.gnu.org/cgit/libtool.git/commit/?id=da2e352735722917bf0786284411262195a6a3f6
> which landed in 2.4.7. Note that configure scripts must be regenerated using a newer libtool to use this.

I don't have a reproducer handy, but we'll soon see if it works with
2.4.7; the patch linked suggests it should!  We have 2.4.7 lined up for
the next rebuild cycle in Guix.

Thanks for sharing, that's great news!

-- 
Maxim